#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/fcntl.h>
#include <sys/ioctl.h>
#include <sys/mman.h>
#include <linux/vt.h>
#include <string.h>
#include <ggi/graphlib.h>

extern char *gd_shmem;

int main(int argc,char *argv[])
{ int t,x,c,y;
  int sx[]={1024,640,640,800,640,640,640,320,320,320,160};
  int sy[]={ 768,400,480,600,200,100, 50,240,200,100,120};
  char *text="Unknown command";

  ggi_init();
         
  for(t=2;t<3/*sizeof(sx)/sizeof(int)*/;t++)
  { 
    if (ggi_graphmode(sx[t],sy[t],1024,1024,GT_8BIT)) continue;
    printf("Mode OK:%dx%d\n",sx[t],sy[t]);
       
    switch(atoi(argv[1]))
    {case 1:for(c=0;c<250;c++)
	    { ggi_setcolor(c);
	      for(x=0;x<2000;x++)
	      { ggi_drawpixel(0,0);ggi_drawpixel(0,0); }
	    }
	    text="250*2000*2=1M Drawpixel - no bankswitch";
	    break;
     case 2:for(c=0;c<250;c++)
	    { ggi_setcolor(c);
	      for(x=0;x<2000;x++)
	      { ggi_drawpixel(0,0);ggi_drawpixel(0,256); }
	    }
	    text="250*2000*2=1M Drawpixel with bankswitch";
	    break;
     case 3:for(c=0;c<1000000;c++) 
            { ggi_ioctl(DRIVER_TESTDRIVER,NULL); 
            }
	    text="1M IOCTL TEST";
            break;
     case 4:for(c=0;c<5000;c++)
	    { ggi_setcolor(c&255);
	       for(y=0;y<400;y++)
	        ggi_drawhline(0,y,500);
	    }
	    text="5000*400=2M hline 500 Pixel = 1GPixel";
	    break;
     case 5:for(c=0;c<5000;c++)
	    { ggi_setcolor(c&255);
	      ggi_drawbox(0,0,500,400);
	    }
	    text="5000x drawbox 500*400=1GPixel";
	    break;
     case 6:for(c=0;c<5000;c++)
	    { int *p=(int *)ggi_membuffer;
	      x=200000/4;
	      while(x--) *p++=c;
	    }
	    text="5000x 'memset' 200000=1GPixel";
	    break;
    }
  }
  ggi_exit();
  printf("%s\n",text);
  return(0);
}
