#include <IBM/vga.h>

#define	CRT_Ic	0x03D4		/* CRT Controller Index - Colour */
#define CRT_Im	0x03B4		/* CRT Controller Index - Mono */

#define CRT_Dc	0x03D5		/* CRT Controller Data Register - Colour */
#define CRT_Dm	0x03B5		/* CRT Controller Data Register - Mono */

#define ISR_1c	0x03DA		/* Input Status Register 1 - Colour */
#define ISR_1m	0x03BA		/* Input Status Register 1 - Mono */

#define SEQ_I	0x03C4		/* Sequencer Index */
#define SEQ_D	0x03C5		/* Sequencer Data Register */

#define SEQ_REGISTER_6	0x06	/* */
#define SEQ_REGISTER_A	0x0A	/* Memory Size */
#define SEQ_REGISTER_E	0x0E	/* VCLK3 Numerator */
#define SEQ_REGISTER_17	0x17	/* */
#define	SEQ_REGISTER_1E	0x1E	/* VCLK3 Denominator */

#define CRT_REGISTER_11	0x11	/* */
#define CRT_REGISTER_27 0x27	/* Chip ID register */


/*\
|*| Chip version ID numbers
\*/

#define	CLGD5420_ID	0x22	/* 542x Series - ISA/VLB ? */
#define	CLGD5422_ID	0x23
#define	CLGD5424_ID	0x25
#define	CLGD5426_ID	0x24
#define	CLGD5428_ID	0x26
#define	CLGD5429_ID	0x27

#define	CLGD5430_ID	0x28	/* 543x Series - PCI ? */
#define CLGD5434_ID	0x2A
#define CLGD5436_ID	0x2B

/*\
|*| Cirrus bus types
\*/

#define	CIRRUS_BUS_UNKNOWN	0
#define CIRRUS_BUS_ISA		1
#define CIRRUS_BUS_VLB		2
#define CIRRUS_BUS_PCI		3
